Take a Kodi instance out of a shared library
POST
/api/v1/libraries/{id}/split
const url = 'https://example.com/api/v1/libraries/1/split';const options = { method: 'POST', headers: { cookie: 'encore_session=<encore_session>', 'Content-Type': 'application/json' }, body: '{"instance_id":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/libraries/1/split \ --header 'Content-Type: application/json' \ --cookie encore_session=<encore_session> \ --data '{ "instance_id": 1 }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer format: int64
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
instance_id
required
integer format: int64
Example generated
{ "instance_id": 1}Responses
Section titled “Responses”No Content
default
Section titled “default”Error
Media typeapplication/problem+json
object
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object>
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}